package com.hai.service;

import com.hai.entity.HighMerchantStore;
import com.hai.model.HighMerchantStoreModel;

import java.util.List;
import java.util.Map;

/**
 * @Author 胡锐
 * @Description 门店服务
 * @Date 2021/3/9 20:15
 **/
public interface HighMerchantStoreService {
 
    /**
     * @Author 胡锐
     * @Description 编辑门店
     * @Date 2021/3/9 20:26
     **/
    void editMerchantStore(HighMerchantStoreModel highMerchantStore) throws Exception;

    /**
     * @Author 胡锐
     * @Description 删除门店
     * @Date 2021/3/10 22:24
     **/
    void deleteMerchantStore(Long id);

    /**
     * @Author 胡锐
     * @Description 根据id查询
     * @Date 2021/3/9 20:26
     **/
    HighMerchantStore getMerchantStoreById(Long id);

    /**
     * @Author 胡锐
     * @Description 查询门店列表
     * @Date 2021/3/9 20:26
     **/
    List<HighMerchantStore> getMerchantStoreList(Map<String, Object> map);

}
